예약›작업 요청 생성 (비즈니스 액터)
작업 요청 생성 (비즈니스 액터)
Books a field-service job — the work order that enters the dispatch & scheduling pipeline. Send the customer's UUID plus requested `job_dates` (date + morning/afternoon/evening periods, ideally offered from GET /job-requests/booking-windows), optional `job_type_id` (service catalog), `skill_ids` (required technician qualifications) and a free-text description. Quoting, technician/crew assignment and completion then advance the work order through the business's workflow.
인수
X-Timezonestringheader선택
고객의 IANA 타임존
customer_idstringbody필수
작업을 예약할 이 비즈니스의 기존 고객 UUID입니다. 필수입니다.
descriptionstringbody선택
요청된 작업에 대한 자유 텍스트 설명입니다. 선택 사항이며, 최대 2000자입니다.
▾job_datesarray<object>body필수
고객이 작업을 원하는 요청 날짜 및 시간대입니다. 최소 1개, 최대 12개까지 지정할 수 있습니다.
job_type_idstringbody선택
이 작업을 분류할 작업 유형의 UUID입니다. 선택 사항이며, null이면 작업이 미분류 상태로 유지됩니다.
skill_idsarray<string>body선택
고객이 이 작업에 원하는 기술(skill)의 UUID 목록입니다. 선택 사항이며, 최대 20개까지 지정할 수 있습니다.
POST/v1/job-requests
curl -X POST "https://api.crisphive.com/v1/job-requests" \ -H "Authorization: Bearer chsk_test_4eC8xQ9mZ2pL7Ka0rT" \ -H "Content-Type: application/json" \ -d '{ "customer_id": "9b2f6c3e-1a4d-4f0a-8f2e-7c5d1b3a9e01", "description": "Please call on arrival.", "job_dates": [ { "date": "2026-07-02T09:30:00Z", "periods": [ { "business_view": [], "period": "morning" } ] } ], "job_type_id": "9b2f6c3e-1a4d-4f0a-8f2e-7c5d1b3a9e01", "skill_ids": [ "9b2f6c3e-1a4d-4f0a-8f2e-7c5d1b3a9e01" ] }'
요청 본문
{
"customer_id": ,
"description": ,
"job_dates": [
{
"date": ,
"periods": [
{
"business_view": [
],
"period":
}
]
}
],
"job_type_id": ,
"skill_ids": [
]
}
Bearer